# Function make_link

- make_link(
  opts: {
  link_target_blank: boolean;
  link_text: string;
  link_text_formula: boolean;
  link_url?: string;
  link_url_formula: boolean;
  },
  fields: Field[],
  __?: (s: any) => any,
  in_row_click: any,
  ): object

  #### Parameters

  - opts: {
    link_target_blank: boolean;
    link_text: string;
    link_text_formula: boolean;
    link_url?: string;
    link_url_formula: boolean;
    }

    - ##### link_target_blank: boolean

    - ##### link_text: string

    - ##### link_text_formula: boolean

      missing in contract

    - ##### `Optional` link_url?: string

    - ##### link_url_formula: boolean

  - fields: Field[]
  - __: (s: any) => any = ...
  - in_row_click: any

  #### Returns object

  - Defined in packages/saltcorn-data/base-plugin/viewtemplates/viewable_fields.js:229